import { parseTsconfig } from 'get-tsconfig';
import { isFile } from './fs.js';
export const loadTSConfig = async (tsConfigFilePath) => {
    try {
        if (isFile(tsConfigFilePath)) {
            return parseTsconfig(tsConfigFilePath);
        }
    }
    catch (error) {
        if (error instanceof Error && !/File '[^.].+' not found/.test(error.message)) {
            throw error;
        }
    }
};
